View Issue Details

IDProjectCategoryView StatusLast Update
0005704MediaMonkey (current)Conversion/Levelingpublic2010-10-12 22:23
Reporterjiri 
PriorityurgentSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version4.0 
Summary0005704: Use AAC codec in Windows 7
DescriptionAs suggested in http://www.mediamonkey.com/forum/viewtopic.php?f=4&t=40140&start=0&st=0&sk=t&sd=a, we could use the internal AAC codec distributed with Windows 7, which would remove the dependency on QT on this platform.
Tagsdoc_faq, todoc
Fixed in build1310

Relationships

related to 0006462 closedmichal Audio Artifacts: clicks on startup and other sounds during playback 
related to 0008772 closedmichal M4A/M4B with AAC audio not playable in Win7 by in_mfaudio.dll plugin - regression 

Activities

jiri

2009-06-23 11:01

administrator   ~0018483

It seems that AAC codec is installed by default in Win7 and so e.g. using our old in_dsmp3.dll plug-in (slightly modified to accept mp4 extensions) we should be able to play such a content. In case you don't have Win7, please cooperate with Petr on this one.

michal

2009-06-25 07:23

developer   ~0018513

Last edited: 2009-06-25 07:24

I think, we cannot use this plugin as it is, it uses DirectShow interface, but Windows 7 uses Media Foundation interface for AAC (and some other new formats, see http://msdn.microsoft.com/en-us/library/bb970511(VS.85).aspx ). DirectShow is depricated, we should make support for Media Foundation.

peke

2009-11-07 01:23

developer   ~0019615

In 0006042 I plan to make small frame work that will allow Users and us do a quick switch of Plugin for each File format real time within Mediamonkey options.

That will give us needed space to test Media Foundation interface for AAC without compromising any MM functionality.

michal

2010-01-06 14:52

developer   ~0019906

Last edited: 2010-01-06 14:55

Playback implemented in build 1301, in plugin in_mfaudio (Windows 7 required).

Currently supported extensions: AAC, ADTS, MP3, M4A, M4B and WMA.
AAC decoder decodes the following AAC and HE-AAC profiles:
- MPEG-2 AAC Low Complexity (LC) profile (multichannel).
- MPEG-4 HE-AAC v1 (multichannel) with AAC-LC core.
- MPEG-4 HE-AAC v2 (stereo) with AAC-LC core.
Sampling rates above 48 kHz are not supported.
More detailed information about Media Foundation AAC decoder and format constraints can be found here - http://msdn.microsoft.com/en-us/library/dd742784%28VS.85%29.aspx

I've found out, that the AAC decoder has problems with duration detection of AAC stream in ADTS. The ADTS header does not contain any duration info a the decoder computes it badly. It leads to e.g. problematic seek. The same problem has WMP.

peke

2010-10-08 23:42

developer   ~0020679

Uninstalled QT and Verified 1314

peke

2010-10-08 23:44

developer   ~0020680

Left as resolved until Docs are updated.